#include <iostream>

#define tip int

using namespace std;

int main()
{
    std::ios::sync_with_stdio(false); cin.tie(0); cout.tie(0);

    tip n;
    tip ukupnaAnd = -1
    ;
    tip ukupnaXor = 0;
    tip brojOperacija = 0;
    tip tren;

    cin >> n;

    for (; n > 0; --n){
        cin >> tren;
        if (!(tren & 1)){
            ++tren;
            ++brojOperacija;
        }
        //cout << tren << " ";
        ukupnaAnd = ukupnaAnd & tren;
        ukupnaXor = ukupnaXor ^ tren;
    }

    //cout << endl <<ukupnaAnd << endl << ukupnaXor << endl;
    if (!ukupnaXor){
            ++brojOperacija;
    }
    cout << brojOperacija;

    return 0;
}